- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\FFProbe

class FFProbe

## Constants

TYPE_STREAMS |
TYPE_FORMAT |

## Methods

| __construct(FFProbeDriver $ffprobe, Cache $cache) |
OutputParserInterface | getParser() |
FFProbe | setParser(OutputParserInterface $parser) |
FFProbeDriver | getFFProbeDriver() |
FFProbe | setFFProbeDriver(FFProbeDriver $ffprobe) |
FFProbe | setOptionsTester(OptionsTesterInterface $tester) |
OptionsTesterInterface | getOptionsTester() |
FFProbe | setCache(Cache $cache) |
Cache | getCache() |
MapperInterface | getMapper() |
FFProbe | setMapper(MapperInterface $mapper) |
Format | format(string $pathfile) |
StreamCollection | streams(string $pathfile) |
static FFProbe | create(array|ConfigurationInterface $configuration = array(), LoggerInterface $logger = null, Cache $cache = null) |

## Details

###
at line 47
`public __construct(FFProbeDriver $ffprobe, Cache $cache)`

#### Parameters

FFProbeDriver | $ffprobe |
Cache | $cache |

###
at line 59
`public OutputParserInterface getParser()`

#### Return Value

OutputParserInterface |

###
at line 69
`public FFProbe setParser(OutputParserInterface $parser)`

#### Parameters

OutputParserInterface | $parser |

#### Return Value

FFProbe |

###
at line 79
`public FFProbeDriver getFFProbeDriver()`

#### Return Value

FFProbeDriver |

###
at line 89
`public FFProbe setFFProbeDriver(FFProbeDriver $ffprobe)`

#### Parameters

FFProbeDriver | $ffprobe |

#### Return Value

FFProbe |

###
at line 101
`public FFProbe setOptionsTester(OptionsTesterInterface $tester)`

#### Parameters

OptionsTesterInterface | $tester |

#### Return Value

FFProbe |

###
at line 111
`public OptionsTesterInterface getOptionsTester()`

#### Return Value

OptionsTesterInterface |

###
at line 121
`public FFProbe setCache(Cache $cache)`

#### Parameters

Cache | $cache |

#### Return Value

FFProbe |

###
at line 131
`public Cache getCache()`

#### Return Value

Cache |

###
at line 139
`public MapperInterface getMapper()`

#### Return Value

MapperInterface |

###
at line 149
`public FFProbe setMapper(MapperInterface $mapper)`

#### Parameters

MapperInterface | $mapper |

#### Return Value

FFProbe |

###
at line 168
`public Format format(string $pathfile)`

#### Parameters

string | $pathfile |

#### Return Value

Format | A Format object

#### Exceptions

InvalidArgumentException |
RuntimeException |

###
at line 185
`public StreamCollection streams(string $pathfile)`

#### Parameters

string | $pathfile |

#### Return Value

StreamCollection | A collection of streams

#### Exceptions

InvalidArgumentException |
RuntimeException |

###
at line 201
`static public FFProbe create(array|ConfigurationInterface $configuration = array(), LoggerInterface $logger = null, Cache $cache = null)`

#### Parameters

array|ConfigurationInterface | $configuration |
LoggerInterface | $logger |
Cache | $cache |

#### Return Value

FFProbe |